package com.yihu.jw.entity.base.doctor;

import com.yihu.jw.entity.IntegerIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "base_doctor_time_mapping")
@SequenceGenerator(name="id_generated", sequenceName="base_doctor_time_mapping")
public class BaseDoctorTimeMappingDO extends IntegerIdentityEntity {
    private String doctorMappingCode;
    private String doctorCode;
    private String deptCode;
    private Date startTime;
    private Date endTime;
    private String doctorName;
    private String deptName;

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getDoctorMappingCode() {
        return doctorMappingCode;
    }

    public void setDoctorMappingCode(String doctorMappingCode) {
        this.doctorMappingCode = doctorMappingCode;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }
}
